From 79c85683b49dd92c6b197fc21a92e09201bc163d Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Mon, 29 Jan 2024 18:00:03 -0600
Subject: [PATCH v1 3/3] Max out max_stack_depth when asan is enabled

AddressSanitizer requires more stack than normal. Tests will not run at
2KB.
---
 src/backend/utils/misc/guc.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index 8f65ef3d89..f163701229 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -1619,7 +1619,11 @@ InitializeGUCOptionsFromEnvironment(void)
 				source = PGC_S_ENV_VAR;
 			else
 			{
+#ifdef USE_ADDRESS_SANITIZER
+				new_limit = 7680;
+#else
 				new_limit = 2048;
+#endif
 				source = PGC_S_DYNAMIC_DEFAULT;
 			}
 			snprintf(limbuf, sizeof(limbuf), "%ld", new_limit);
-- 
Tristan Partin
Neon (https://neon.tech)

